Bug 973847 - LIO doesn't support per-tpg user and password
LIO doesn't support per-tpg user and password
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Andy Grover
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-12 19:19 EDT by Andy Grover
Modified: 2014-05-02 14:10 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-05-02 14:10:25 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andy Grover 2013-06-12 19:19:43 EDT
Upstream kernel doesn't support TPG authentication as described here:

http://linux-iscsi.org/wiki/ISCSI#TPG_Authentication

This inhibits the use of a single user/password for all connecting initiators to a given target, which can be really handy.

Also, changes to rtslib and targetcli will be needed.
Comment 1 Josh Boyer 2013-06-13 07:32:18 EDT
Adding FutureFeature so the bugzapper scripts don't mess with this bug.

Note You need to log in before you can comment on or make changes to this bug.